package com.example.autoservice.cars.model;

import com.example.autoservice.clients.model.ClientsEntity;
import com.example.autoservice.core.model.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
@Entity
@Table(name = "cars")
public class CarsEntity extends BaseEntity{
    @Column(nullable = false)
    private String mark;
    @Column(nullable = false)
    private String model;
    @Column(nullable = false)
    private String serial_number;
    @ManyToOne
    @JoinColumn(name = "clientsid", nullable = false)
    private ClientsEntity client;

    public CarsEntity(){}

    public CarsEntity(String mark, String model, String serial_number, ClientsEntity client){
        this.mark = mark;
        this.model = model;
        this.serial_number = serial_number;
        this.client = client;
    }

    public String getMark(){
        return mark;
    }
    
    public void setMark(String mark){
        this.mark = mark;
    }

    public String getModel(){
        return model;
    }

    public void setModel(String model){
        this.model = model;
    }

    public String getSerial_Number(){
        return serial_number;
    }

    public void setSerial_Number(String serial_number){
        this.serial_number = serial_number;
    }

    public ClientsEntity getClient(){
        return client;
    }

    public void setClient(ClientsEntity client){
        this.client = client;
    }
}
