package com.example.autoservice.cars.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import com.example.autoservice.cars.model.CarsEntity;
import com.example.autoservice.cars.model.CarsGrouped;
import com.example.autoservice.clients.model.ClientsEntity;

public interface CarsRepository extends CrudRepository<CarsEntity, Long> {
    @Query("select c.id as id, cl.id as clientId, c.mark as mark, c.model as model, c.serial_number as serial_number, " +
            "cl.first_name as first_name, cl.last_name as last_name " +
            "From CarsEntity c " +
            "join ClientsEntity cl on c.client.id = cl.id")
    public List<CarsGrouped> findAllCarsWithClients();
    @Query("select c.id as id, cl.id as clientId, c.mark as mark, c.model as model, c.serial_number as serial_number, " +
            "cl.first_name as first_name, cl.last_name as last_name " +
            "From CarsEntity c " +
            "join ClientsEntity cl on c.client.id = cl.id " +
            "where c.id = :carId")
    public CarsGrouped findCarWithClient(Long carId);
    @Query("select cl as client " +
            "from ClientsEntity cl")
    public List<ClientsEntity> findAllClients();
}
